<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$cardId = '193935874';
$response = $api->Cards->Get($cardId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myCard = {
Id: '192775715',
}
const viewCard = async (cardId) => {
return await mangopay.Cards.get(cardId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewCard(myCard.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewCard(cardId)
begin
response = MangoPay::Card.fetch(cardId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch card: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myCard = {
Id: '194579926'
}
viewCard(myCard[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Card;
public class ViewCard {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
String cardId = "card_m_01HXYAVH217SC0ARVDHSE0HQJ0";
Card viewCard = mangopay.getCardApi().get(cardId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewCard);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import NaturalUser, Card
natural_user = NaturalUser.get('213600749')
user_card_id = '213601128'
try:
view_user_card = Card.get(user_card_id)
pprint(vars(view_user_card))
except Card.DoesNotExist:
print('The Card {} does not exist for User {}'.format(user_card_id, natural_user.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var cardId = "card_m_01J2Y4W2R4RWKVEME5WG180SQ3";
var viewCard = await api.Cards.GetAsync(cardId);
string prettyPrint = JsonConvert.SerializeObject(viewCard, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"ExpirationDate": "1229",
"Alias": "497010XXXXXX8183",
"CardType": "CB_VISA_MASTERCARD",
"CardProvider": "VISA",
"Country": "FRA",
"Product": "I",
"BankCode": "unknown",
"Active": true,
"Currency": "EUR",
"Validity": "UNKNOWN",
"UserId": "user_m_01HWWPNMR93ASQYJEH6XVDW44T",
"Id": "card_m_01HXVD91R8QEDY7MYC8TX9R9M8",
"Tag": null,
"CreationDate": 1715685590,
"Fingerprint": "48d63bbcfc2c47fcbc19df35e47b2f8d",
"CardHolderName": "Alex Smith"
}
Cards
View a Card
GET
/
v2.01
/
{ClientId}
/
cards
/
{CardId}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$cardId = '193935874';
$response = $api->Cards->Get($cardId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myCard = {
Id: '192775715',
}
const viewCard = async (cardId) => {
return await mangopay.Cards.get(cardId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewCard(myCard.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewCard(cardId)
begin
response = MangoPay::Card.fetch(cardId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch card: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myCard = {
Id: '194579926'
}
viewCard(myCard[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Card;
public class ViewCard {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
String cardId = "card_m_01HXYAVH217SC0ARVDHSE0HQJ0";
Card viewCard = mangopay.getCardApi().get(cardId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewCard);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import NaturalUser, Card
natural_user = NaturalUser.get('213600749')
user_card_id = '213601128'
try:
view_user_card = Card.get(user_card_id)
pprint(vars(view_user_card))
except Card.DoesNotExist:
print('The Card {} does not exist for User {}'.format(user_card_id, natural_user.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var cardId = "card_m_01J2Y4W2R4RWKVEME5WG180SQ3";
var viewCard = await api.Cards.GetAsync(cardId);
string prettyPrint = JsonConvert.SerializeObject(viewCard, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"ExpirationDate": "1229",
"Alias": "497010XXXXXX8183",
"CardType": "CB_VISA_MASTERCARD",
"CardProvider": "VISA",
"Country": "FRA",
"Product": "I",
"BankCode": "unknown",
"Active": true,
"Currency": "EUR",
"Validity": "UNKNOWN",
"UserId": "user_m_01HWWPNMR93ASQYJEH6XVDW44T",
"Id": "card_m_01HXVD91R8QEDY7MYC8TX9R9M8",
"Tag": null,
"CreationDate": 1715685590,
"Fingerprint": "48d63bbcfc2c47fcbc19df35e47b2f8d",
"CardHolderName": "Alex Smith"
}
Path parameters
string
required
The unique identifier of the Card object, which is returned after updating the Card Registration object with the
RegistrationData.Responses
200
200
string
Format: “MMYY”The expiration date of the card.
string
The card number, partially obfuscated.
string
Allowed values:
CB, VISA, MASTERCARD, AMEX, MAESTRO, BCMC, JCB, DISCOVERThe provider of the card.string
Format: ISO-3166-1 alpha-3 three-letter country code (e.g., “FRA”)The country of the card (which is the same as the country of the issuer).
string
The product type of the card.
string
The name of the card issuing bank.
string
Returned values:
UNKNOWN, VALID, INVALIDWhether the card is valid or not.UNKNOWN– No payment or card validation has been processed, so the validity of the card remains unknown.VALID– The first payment or card validation using the card was processed successfully within 24 hours of the initial card registration.INVALID– The first payment or card validation using the card was attempted and failed, or the status of the corresponding card registration wasCREATEDfor more than 24 hours.
Once a card is set toINVALID, it cannot be set back toVALID. A new card registration will be necessary to make a payment.
string
The unique identifier of the user the card belongs to.
string
The unique identifier of the Card object.
string
Custom data added to this object.
In the case of the Card object, the tag value is inherited from the Card Registration object and is not editable.
In the case of the Card object, the tag value is inherited from the Card Registration object and is not editable.
Unix timestamp
The date and time at which the object was created.
string
The unique representation of the card number. This string can be used to track the card behavior while keeping the card information confidential.
{
"ExpirationDate": "1229",
"Alias": "497010XXXXXX8183",
"CardType": "CB_VISA_MASTERCARD",
"CardProvider": "VISA",
"Country": "FRA",
"Product": "I",
"BankCode": "unknown",
"Active": true,
"Currency": "EUR",
"Validity": "UNKNOWN",
"UserId": "user_m_01HWWPNMR93ASQYJEH6XVDW44T",
"Id": "card_m_01HXVD91R8QEDY7MYC8TX9R9M8",
"Tag": null,
"CreationDate": 1715685590,
"Fingerprint": "48d63bbcfc2c47fcbc19df35e47b2f8d",
"CardHolderName": "Alex Smith"
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$cardId = '193935874';
$response = $api->Cards->Get($cardId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myCard = {
Id: '192775715',
}
const viewCard = async (cardId) => {
return await mangopay.Cards.get(cardId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
viewCard(myCard.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewCard(cardId)
begin
response = MangoPay::Card.fetch(cardId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch card: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myCard = {
Id: '194579926'
}
viewCard(myCard[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.Card;
public class ViewCard {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
String cardId = "card_m_01HXYAVH217SC0ARVDHSE0HQJ0";
Card viewCard = mangopay.getCardApi().get(cardId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewCard);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import NaturalUser, Card
natural_user = NaturalUser.get('213600749')
user_card_id = '213601128'
try:
view_user_card = Card.get(user_card_id)
pprint(vars(view_user_card))
except Card.DoesNotExist:
print('The Card {} does not exist for User {}'.format(user_card_id, natural_user.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var cardId = "card_m_01J2Y4W2R4RWKVEME5WG180SQ3";
var viewCard = await api.Cards.GetAsync(cardId);
string prettyPrint = JsonConvert.SerializeObject(viewCard, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?
⌘I